: Class FrameGrabber

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mit.ai.vision.framegrabber
Class FrameGrabber

    java.lang.Object
      |
      +--mit.ai.vision.framegrabber.FrameGrabber

public class FrameGrabber
extends java.lang.Object
implements java.lang.Runnable

Field Summary
`static int` | `FRAME_COLUMNS` The number of columns in the frames.
`static int` | `FRAME_ROWS` The number of rows in the frames.

Constructor Summary
`FrameGrabber()` This is the FrameGrabber constructor.

Method Summary
`void` | `addFrameListener(FrameListener fl_object)` This method adds a new FrameListener to this FrameGrabber.
`void` | `endGrabbing()` This exits the grabbing process and cleans up the native thread that controls it.
`protected void` | `finalize()` Calls endGrabbing () to kill the grabbing thread cleanly.
`void` | `freezeFrame()` This stops the grabbing until unfreezeFrame () is called.
`void` | `run()` This should never be called directly by the user.
`void` | `startGrabbing()` Creates the native thread that communicates with the frame server.
`void` | `unfreezeFrame()` This restarts the grabbing thread after a freezeFrame () call.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FRAME_ROWS

    public static final int FRAME_ROWS

  The number of rows in the frames.

### FRAME_COLUMNS

    public static final int FRAME_COLUMNS

  The number of columns in the frames.

Constructor Detail

### FrameGrabber

    public FrameGrabber()

  This is the FrameGrabber constructor. Currently, all options, such as the frame dimensions, are hard-coded in. The constructor does not start the thread responsible for accepting the frames, you must call startGrabbing () for that.

Method Detail

### startGrabbing

    public void startGrabbing()

  Creates the native thread that communicates with the frame server. The thread created is a daemon thread, so it will cease executing if it is the only thread remaining in the JVM. The priority of the thread is set to be 3 levels below the parent thread - this was found to be necessary to prevent it from overwhelming the scheduling of AWT threads. In a future version, the priority may be user specifiable.

### freezeFrame

    public void freezeFrame()

  This stops the grabbing until unfreezeFrame () is called.

### unfreezeFrame

    public void unfreezeFrame()

  This restarts the grabbing thread after a freezeFrame () call.

### endGrabbing

    public void endGrabbing()

  This exits the grabbing process and cleans up the native thread that controls it.

### run

    public void run()

  This should never be called directly by the user. It is only public to satisfy the requirements of the Runnable interface.
  Specified by:
    run in interface java.lang.Runnable

### addFrameListener

    public void addFrameListener(FrameListener fl_object)

  This method adds a new FrameListener to this FrameGrabber.

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Calls endGrabbing () to kill the grabbing thread cleanly.
  Overrides:
    finalize in class java.lang.Object

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD